<?php
namespace app\model;

use think\model\relation\HasOne;

/**
 * 订单售后服务记录
 * Class OrderAfterSale
 * @package app\model
 */
class OrderAfterSale extends Base
{
    // 售后服务处理状态
    public const STATUS_WAITING = 'waiting'; // 待处理
    public const STATUS_DOING   = 'doing'; // 处理中
    public const STATUS_DONE    = 'done'; // 已处理


    /**
     * 关联的会员模型
     *
     * @return HasOne
     */
    public function account(): HasOne
    {
        return $this->hasOne(Account::class, 'id', 'account_id');
    }

    /**
     * 关联的订单模型
     *
     * @return HasOne
     */
    public function orderItem(): HasOne
    {
        return $this->hasOne(Order::class, 'coding', 'coding');
    }

    /**
     * 时间字段获取器: 回复时间
     * @param $value
     * @return string
     */
    public function getReplyAtAttr($value): string
    {
        return empty($value) ? '' : $value;
    }

    /**
     * 时间字段修改器: 回复时间
     * @param $value
     * @return null|mixed
     */
    public function setReplyAtAttr($value)
    {
        return empty($value) ? null : $value;
    }


}